Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PhysxCapsuleForceFieldShapeDesc Class Reference

Descriptor for a capsule force field shape. More...

`#include "physxCapsuleForceFieldShapeDesc.h"`

Inheritance diagram for PhysxCapsuleForceFieldShapeDesc:

## Public Member Functions
float | get_height () const
| The distance between the two hemispherical ends of the capsule.
float | get_radius () const
| The radius of the capsule's hemispherical ends and its trunk.
bool | is_valid () const
| Returns true if the descriptor is valid.
NxForceFieldShapeDesc * | ptr () const
void | set_height (float height)
| Sets the distance between the two hemispherical ends of the capsule.
void | set_radius (float radius)
| Sets the radius of the capsule's hemispherical ends and its trunk.
void | set_to_default ()
| (re)sets the structure to the default.
Public Member Functions inherited from PhysxForceFieldShapeDesc
LMatrix4f | get_mat () const
const char * | get_name () const
LPoint3f | get_pos () const
void | set_hpr (float h, float p, float r)
void | set_mat (const LMatrix4f &mat)
void | set_name (const char *name)
| Sets a possible debug name.
void | set_pos (const LPoint3f &pos)

## Public Attributes
NxCapsuleForceFieldShapeDesc | _desc

## Detailed Description

Descriptor for a capsule force field shape.

Definition at line 25 of file physxCapsuleForceFieldShapeDesc.h.

## Constructor & Destructor Documentation

## ◆ PhysxCapsuleForceFieldShapeDesc()

PhysxCapsuleForceFieldShapeDesc::PhysxCapsuleForceFieldShapeDesc | ( |  | ) |
| inline

Definition at line 17 of file physxCapsuleForceFieldShapeDesc.I.

## ◆ ~PhysxCapsuleForceFieldShapeDesc()

PhysxCapsuleForceFieldShapeDesc::~PhysxCapsuleForceFieldShapeDesc | ( |  | ) |
| inline

Definition at line 26 of file physxCapsuleForceFieldShapeDesc.I.

## Member Function Documentation

## ◆ get_height()

float PhysxCapsuleForceFieldShapeDesc::get_height | ( |  | ) | const

The distance between the two hemispherical ends of the capsule.

Definition at line 46 of file physxCapsuleForceFieldShapeDesc.cxx.

## ◆ get_radius()

float PhysxCapsuleForceFieldShapeDesc::get_radius | ( |  | ) | const

The radius of the capsule's hemispherical ends and its trunk.

Definition at line 37 of file physxCapsuleForceFieldShapeDesc.cxx.

## ◆ is_valid()

bool PhysxCapsuleForceFieldShapeDesc::is_valid | ( |  | ) | const
| inline virtual

Returns true if the descriptor is valid.

Implements PhysxForceFieldShapeDesc.

Definition at line 44 of file physxCapsuleForceFieldShapeDesc.I.

## ◆ ptr()

NxForceFieldShapeDesc * PhysxCapsuleForceFieldShapeDesc::ptr | ( |  | ) | const
| inline virtual

Implements PhysxForceFieldShapeDesc.

Definition at line 41 of file physxCapsuleForceFieldShapeDesc.h.

## ◆ set_height()

void PhysxCapsuleForceFieldShapeDesc::set_height | ( | float | height | ) |

Sets the distance between the two hemispherical ends of the capsule.

Definition at line 28 of file physxCapsuleForceFieldShapeDesc.cxx.

## ◆ set_radius()

void PhysxCapsuleForceFieldShapeDesc::set_radius | ( | float | radius | ) |

Sets the radius of the capsule's hemispherical ends and its trunk.

Definition at line 19 of file physxCapsuleForceFieldShapeDesc.cxx.

## ◆ set_to_default()

void PhysxCapsuleForceFieldShapeDesc::set_to_default | ( |  | ) |
| inline virtual

(re)sets the structure to the default.

Implements PhysxForceFieldShapeDesc.

Definition at line 34 of file physxCapsuleForceFieldShapeDesc.I.

References PhysxForceFieldShapeDesc::set_name().

## Member Data Documentation

## ◆ _desc

NxCapsuleForceFieldShapeDesc PhysxCapsuleForceFieldShapeDesc::_desc

Definition at line 42 of file physxCapsuleForceFieldShapeDesc.h.

The documentation for this class was generated from the following files:

- panda/src/physx/physxCapsuleForceFieldShapeDesc.h
- panda/src/physx/physxCapsuleForceFieldShapeDesc.cxx
- panda/src/physx/physxCapsuleForceFieldShapeDesc.I